org.richfaces.renderkit.html

## Class ToolBarRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.html.ToolBarRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    ToolBarGroupRenderer, ToolBarRenderer

      public class ToolBarRendererBase
      extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolBarRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected void` | `encodeEventsAttributes(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer)`
    `protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
    `UIToolBar` | `getParentToolBar(javax.faces.component.UIComponent component)`
    `boolean` | `getRendersChildren()`
    `protected void` | `insertDefaultSeparatorIfNeed(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer)` Inserts default separator.
    `protected void` | `insertSeparatorIfNeed(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer)` Inserts separator between toolbar items.

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolBarRendererBase

          public ToolBarRendererBase()

  - ### Method Detail

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### insertSeparatorIfNeed

          protected void insertSeparatorIfNeed(javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component,
                                   javax.faces.context.ResponseWriter writer)
                                        throws java.io.IOException

      Inserts separator between toolbar items. Uses facet "itemSeparator" if it is set and default separator implementation if facet is not set.
      Parameters:
        `context` - - faces context
        `component` - - component
        `writer` - - response writer
      Throws:
        `java.io.IOException` - - in case of IOException during writing to the ResponseWriter

    - #### insertDefaultSeparatorIfNeed

          protected void insertDefaultSeparatorIfNeed(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component,
                                          javax.faces.context.ResponseWriter writer)
                                               throws java.io.IOException

      Inserts default separator. Possible values are: "square", "disc", "grid", "line" - for separators provided by component inplementation; "none" - for no separators between toolbar items; URI string value - for custom images specified by the page author.
      Parameters:
        `context` - - faces context
        `component` - - component
        `writer` - - response writer
      Throws:
        `java.io.IOException` - - in case of IOException during writing to the ResponseWriter

    - #### getComponentClass

          protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### encodeEventsAttributes

          protected void encodeEventsAttributes(javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIComponent component,
                                    javax.faces.context.ResponseWriter writer)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getParentToolBar

          public UIToolBar getParentToolBar(javax.faces.component.UIComponent component)

Copyright © 2013. All Rights Reserved.